Subject: bug#2761 closed by Kenichi Handa <[email-masked]> (Re: bug#2761: Acknowledgement (Tibetan font selection broken))

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 24 Mar 2009 01:50:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2761: Tibetan font selection broken

It has been closed by Kenichi Handa <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Kenichi Handa <[email-masked]> by
replying to this email.

-- 
2761: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2761
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2761: Acknowledgement (Tibetan font selection broken)
From: Kenichi Handa <[email-masked]>
To: [email-masked]
Date: Tue, 24 Mar 2009 10:44:48 +0900

Opened by mistake.

---
Kenichi Handa
[email-masked]

Subject: Re: Tibetan font selection broken
From: Kenichi Handa <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Mar 2009 10:11:43 +0900

In article <[email-masked]>, Andreas Schwab <[email-masked]> writes:

> This change:

> 2009-03-05  Kenichi Handa  <[email-masked]>

> 	* font.c (font_select_entity): New function.
> 	(font_find_for_lface): Use font_select_entity to select a font.

> 	* fontset.c (fontset_find_font): If a font found without
> 	restricting of the characters C doen't support C, try to find a
> 	font with C restriction.

> has broken display of tibetan characters.  The characters are no longer
> found in the gnu-unicode font.  Instead a weird, one-pixel wide empty
> box is shown for each font (see the attached snapshot).  I have also
> attached the font logs from before and after that change.

Actually this change revealed two bugs.

> The problem appears to be that the font encoding muletibetan-0 is
> unknown to Emacs.  The only reference is in
> face-font-registry-alternatives, which is not used by
> find_font_encoding.

Yes.  That's one bug.  I added an entry for muletibetan-0 in
font-encoding-alist.

Another bug is the handling of unknown encoding in X font
backend, which caused that weird one-pixel wide empty box.
I fixed that too.

But, please note that these fixes results in selecting the
font:
  -tibmdxa-fixed-medium-r-normal--16-*-72-72-m-160-muletibetan-0
instead of the gnu-unicode font in your environment.

---
Kenichi Handa
[email-masked]